BRIC_REPUBLISH(1)

NAME
bric_republish - republishes stories automatically

SYNOPSIS
bric_republish [options]

    --help     - shows this screen

    --man      - shows the full documentation

    --verbose  - print a running description to STDERR.  Add a second
                --verbose and you'll get debugging output too.  Without
                this option bric_republish is silent when successful.

    --server   - specifies the Bricolage server URL, defaults to
                the BRICOLAGE_SERVER environment variable if set,
                http://localhost otherwise.

    --username - the Bricolage username, defaults to the BRICOLAGE_USERNAME
                environment variable if set.

    --password - the password for the Bricolage user.  Default to the
                BRICOLAGE_PASSWORD environment variable if set.

    --story-id - specify a single story to publish

    --no-media - don't publish related media with story.  By default all
                related media are published with each story.

    --element  - only publish stories of this element (story type)

    --category - only publish stories in this category, specified by path

    --published-only - Deprecated; kept for backwards compatibility; Only
                the published version of all stories will be published.

    --chunks   - publish stories in chunks of this many.  Defaults to 0,
                which means to process them all at once.  This option can
                be used to avoid timing out on large jobs.

    --timeout  - specify the HTTP timeout for SOAP requests in seconds.
                Defaults to 30.

DESCRIPTION
This program publishes stories with no user interaction required. It looks up and publishes the last published version of published stories (publish_status is 1). This is useful to automatically update stories after element and template changes. Also, some elements may have automated functionality that benefits from being republished periodically - a "new stories" box on a Cover, for example.

EXAMPLES
The most common use of this program will be from cron. Setup a crontab like this to republish all stories hourly:

    BRICOLAGE_USERNAME=admin
    BRICOLAGE_PASSWORD=admin_pass
    PATH=/usr/local/bricolage/bin:$PATH
    MAILTO=your-email@your-domain.com
    0 * * * * bric_republish

Or to republish Covers hourly and everything else once a day at 11:30

    BRICOLAGE_USERNAME=admin
    BRICOLAGE_PASSWORD=admin_pass
    PATH=/usr/local/bricolage/bin:$PATH
    MAILTO=your-email@your-domain.com
    0  *  * * * bric_republish --element Cover
    30 11 * * * bric_republish

Or to republish all stories every other hour but never republish media:

    BRICOLAGE_USERNAME=admin
    BRICOLAGE_PASSWORD=admin_pass
    PATH=/usr/local/bricolage/bin:$PATH
    MAILTO=your-email@your-domain.com
    0 */2 * * * bric_republish --no-media

AUTHOR
Sam Tregar <stregar@about-inc.com>

SEE ALSO
Bric::SOAP